# Global

### Methods

#### makeRequest(method, path, options)

Parameters:

Name | Type | Description
--- | --- | ---
`method` | String | The method for the request.
`path` | String | The path of the request.
`options` | RequestOptions | The options for the request.

Source:
  - request.js, line 25

### Type Definitions

#### AssignmentInformation

##### Properties

Name | Type | Description
--- | --- | ---
`type` | String | The type of assignment.
`id` | Number | the ID of the assignment.

Source:
  - structures/SubmissionComment.js, line 18

#### RequestOptions

##### Properties

Name | Type | Attributes | Description
--- | --- | --- | ---
`host` | String | <optional> | The base hostname for the request.
`port` | Number | <optional> | The port of the request.
`query` | Object | <optional> | The querystring options for the request.
`body` | Object | <optional> | The post data body of the request.
`headers` | Object | <optional> | The headers for the request.
`referer` | String | <optional> | The referer path for the request.
`payload` | Object | <optional> | The JSON payload for the request.

Source:
  - Client.js, line 107

#### RequestOptions

##### Properties

Name | Type | Attributes | Description
--- | --- | --- | ---
`host` | String | <optional> | The base hostname for the request.
`port` | Number | <optional> | The port of the request.
`query` | Object | <optional> | The querystring options for the request.
`body` | Object | <optional> | The post data body of the request.
`headers` | Object | <optional> | The headers for the request.
`referer` | String | <optional> | The referer path for the request.
`payload` | Object | <optional> | The JSON payload for the request.

Source:
  - request.js, line 8

#### SubmissionInformation

##### Properties

Name | Type | Description
--- | --- | ---
`type` | String | The type of submission.
`id` | String | The ID of the submission.

Source:
  - structures/SubmissionComment.js, line 60